Bug 116414 - [PATCH] www/mod_security2: update to 2.1.3
Summary: [PATCH] www/mod_security2: update to 2.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-17 10:40 UTC by Robin Gruyters
Modified: 2007-10-08 19:20 UTC (History)
1 user (show)

See Also:


Attachments
mod_security2-2.1.3.patch (1.22 KB, patch)
2007-09-17 10:40 UTC, Robin Gruyters
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Gruyters 2007-09-17 10:40:01 UTC
- Update to 2.1.3

Changelog mod_security:
 * Updated multipart parsing code adding variables to allow checking
   for various parsing issues (request body abnormalities).
 * Allow mod_rpaf and mod_extract_forwarded2 to work before ModSecurity.
 * Quiet some compiler warnings.
 * Do not block internal ErrorDocument requests after blocking request.
 * Added ability to compile without an external API (use -DNO_MODSEC_API).
 * Cleaned up and clarified some documentation.
 * Update included core rules to latest version (1.4.3).
 * Enhanced ability to alert/audit failed requests.
 * Do not trigger "pause" action for internal requests.
 * Fixed issue with requests that use internal requests.  These had the
   potential to be intercepted incorrectly when other Apache httpd modules
   that used internal requests were used with mod_security.
 * Added Solaris and Cygwin to the list of platforms not supporting the
   hidden visibility attribute.
 * Fixed decoding full-width unicode in t:urlDecodeUni.
 * Lessen some overhead of debugging messages and calculations.
 * Do not try to intercept a request after a failed rule.  This fixes the
   issue associated with an "Internal Error: Asked to intercept request
   but was_intercepted is zero" error message.
 * Added SecAuditLog2 directive to allow redundent concurrent audit log
   index files.  This will allow sending audit data to two consoles, etc.
 * Small performance improvement in memory management for rule execution.


Port maintainer (dom@happygiraffe.net) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-09-17 10:40:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Marcelo Araujo freebsd_committer 2007-09-28 12:13:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 3 dfilter service freebsd_committer 2007-10-08 19:12:01 UTC
araujo      2007-10-08 18:11:51 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_security2    Makefile distinfo 
  Log:
  - Update to 2.1.3.
  - Allow mod_rpaf and mod_extract_forwarded2 to work before ModSecurity.
  - Quiet some compiler warnings.
  - Cleaned up and clarified some documentation.
  - Small performance improvement in memory management for rule execution.
  
  PR:             ports/116414
  Submitted by:   Robin Gruyters <r.gruyters@yirdis.nl>
  Approved by:    stas (mentor), maintainer timeout (2 weeks)
  
  Revision  Changes    Path
  1.10      +5 -4      ports/www/mod_security2/Makefile
  1.5       +3 -3      ports/www/mod_security2/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Marcelo Araujo freebsd_committer 2007-10-08 19:12:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!